<app-base-layout [enableMobileHeader]="true" title="Tradestation Accounts" [enableDeskTopHeader]="true"
  [enableDeskTopHeaderAction]="true" [headerActionTemplate]="headerActionTemplate">
  <br>
  <div class="container">
    <app-trade-station-account-card  *ngFor="let account of accounts" [title]="account.tag" 
    [iconPath]="'assets/icons/icon-account-active.png'" [subTitle]=" " 
    (onEditClick)="handleEditClick(EditAccountTagModal,account)"></app-trade-station-account-card>
  </div>
</app-base-layout>

<!-- Sync button -->
<ng-template #headerActionTemplate>
  <div class="d-flex header-action align-items-center" (click)="handleSyncClick()">
    <img src="assets/icons/watchlist-add-heart.svg" style="max-width:24px" alt="" /> <span class="d-none d-md-flex ml-2"
      style="color:#878787">Sync</span>
  </div>
</ng-template>

  <!-- Edit tag modal -->
  <ng-template #EditAccountTagModal let-c="close" let-d="dismiss">
    <form [formGroup]="editAccountTagForm" (ngSubmit)="onEditAccountTagFormSubmit()">
    <div class="EditAccountTagModal">
    <div class="modal-header justify-content-center ">
      <h4 class="modal-title text-center" >Edit Tag</h4>
    </div>
    <div class="modal-body">
     <div class="row need-help" style="min-height:100%">
      <div class="col-12 col-lg-12">
        <input #desc type="text" formControlName="tag"  placeholder="Tag name" class="inp text-uppercase">
        <div class="error-msg" >
          <i *ngIf="!(editAccountTagForm.controls['tag'].errors?.maxlength?.actualLength < 15)">
            Text must be less than or equal to 15 characters.
          </i>
          <i *ngIf="(editAccountTagForm.controls['tag'].errors?.required)  && 
                    (editAccountTagForm.controls['tag'].touched)">
            Tag name cannot be empty
          </i>
        </div>
      </div>
     </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-link" [disabled]="this.editAccountTagForm.valid? null : true" >Confirm</button>
    </div>
  </div>
</form>
  </ng-template>
